## Changes between raptor2 2.0.4 and 2.0.5

### New functions, types and enums

Functions

- int `raptor_snprintf`(char *buffer, size_t size, const char *format, ...)

- int `raptor_unicode_utf8_strlen`(const unsigned char *string, size_t length)

- size_t `raptor_unicode_utf8_substr`(unsigned char* dest, size_t* dest_length_p, const unsigned char* src, size_t src_length, int startingLoc, int length)

- int `raptor_vasprintf`(char **ret, const char *format, va_list arguments)

- int `raptor_vsnprintf2`(char *buffer, size_t size, const char *format, va_list arguments) - Deprecates `raptor_vsnprintf`()